<?php
/*
Plugin Name: Teamspeak 2 Viewer
Plugin URI: http://www.dosonaro.com/wp-plugins-teamspeak-2-info/
Description: This WP-Plugin Lists some information about your Teamspeak 2 Instance or Server. The Plugin works with the Cyts Class from Steven Barth.
Version: 0.3
Author: Kai Schr&ouml;er
Author URI: http://www.dsosonaro.com/
*/

include("cyts.class.php");
    
    $tsinst = new cyts();
    
    function tsinst($ip, $qport) { 
        
        global $tsinst;
        
        if($tsinst->connect($ip, $qport)) {
        
            $tsinst->connect($ip, $qport);
            
            $info = $tsinst->info_globalInfo();
            
            $end = "<ul>";
            $end .= "<li>Users Online: ".$info['total_users_online']."</li>";
            $end .= "<li>Hosted Slots: ".$info['total_users_maximal']."</li>";
            $end .= "<li>Instance Uptime: ".$info['total_server_uptime']."</li>";
            $end .= "<li>Hosted Servers: ".$info['total_servers']."</li>";
            $end .= "<li>Traffic In: ".round($info['total_packetsreceived'] / 1024 / 1024, 3)." GB</li>";
            $end .= "<li>Traffic Out: ".round($info['total_packetssend'] / 1024 / 1024, 3)." GB</li>";
            $end .= "</ul>";
        
            $tsinst->disconnect();
            
        } else {
        
            $end = 'Can not connect to given teamspeak 2 instance for support visit <a href="http://www.dosonaro.com">Dosonaro</a>.';
            
        }   
        
        return $end;
        
    }
    
    function tssvr($ip, $port, $qport) {
    
        global $tsinst;
    
        if($tsinst->connect($ip, $qport, $port)) {
    
            $tsinst->connect($ip, $qport, $port);
    
            $info = $tsinst->info_serverInfo();
    
            $end = "<ul>";
            $end .= "<li>Servername: ".$info['server_name']."</li>";
            $end .= "<li>Slots: ".$info['server_currentusers']." / ".$info['server_maxusers']."</li>";
            $end .= "<li>Channels: ".$info['server_currentchannels']."</li>";
            $end .= "</ul>";
    
            $tsinst->disconnect();
    
        } else {
    
            $end = 'Can not connect to given teamspeak 2 server for support visit <a href="http://www.dosonaro.com">Dosonaro</a>.';
    
        }
    
        return $end;
    
    }
    
    function short_tsinst($atts) {
        extract(shortcode_atts(array('ip' => '127.0.0.1', 'qport' => '51234'), $atts));
        return tsinst($ip, $qport);
    }
    
    function short_tssvr($atts) {
        extract(shortcode_atts(array('ip' => '127.0.0.1', 'qport' => '51234', 'port' => '8767'), $atts));
        return tssvr($ip, $port, $qport);
    }
    
    if(function_exists('add_shortcode')) add_shortcode('ts2svr', 'short_tssvr');  add_shortcode('ts2inst', 'short_tsinst');
?>
